<!DOCTYPE HTML>
<html lang="en">
<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Macocha</title>
  <style>
  body{
    margin:40px auto;padding:0 10px;
    font:18px/1.5 -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto,
    "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji",
    "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji"; color:#444
  }
  h1,h2,h3{line-height:1.2}
  td{padding:3px}
  @media (prefers-color-scheme: dark){
    body{color:#ccc;background:black}
    a:link{color:#5bf}
    a:visited{color:#ccf}
  }
  </style>
</head>
<body>
  <h1>Macocha Abyss Weather</h1>
  <p>This page show weather at <a href="https://www.south-moravia.com/en/experiences/o70411-macocha-abyss">Macocha Abyss</a> in Czech Republic.</p>
  <table border="1">
    <tr>
      <th>dataset</th>
      <th>timestamp</th>
      <th>description</th>
      <th>temperature (°C)</th>
      <th>pressure (hPa)</th>
      <th>humidity (%)</th>
      <th>wind_speed (m/s)</th>
    </tr>
{%- for dataset, data in table.items()|sort(attribute='1.timestamp')|reverse %}
    <tr>
      <td>{{ dataset }}</td>
      <td>{{ data["timestamp"] }}</td>
      <td>{{ data["description"] }}</td>
      <td>{{ data["temp_c"]|round(2) }}</td>
      <td>{{ data["pressure"] }}</td>
      <td>{{ data["humidity"] }}</td>
      <td>{{ data["wind_speed"] }}</td>
    </tr>
{%- endfor %}
  </table>
  <hr/>
  <em>The page was generated at {{ now }}</em>
</body>
</html>
